io.vertx.rxjava3.ext.web.openapi

## Class OpenAPIHolder

- java.lang.Object
- - io.vertx.rxjava3.ext.web.openapi.OpenAPIHolder

-     public class OpenAPIHolder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OpenAPIHolder>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenAPIHolder(Object delegate)`
    `OpenAPIHolder(OpenAPIHolder delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `JsonObject` | `getCached(JsonPointer pointer)` Get cached object using `pointer`
    `OpenAPIHolder` | `getDelegate()`
    `JsonObject` | `getOpenAPI()`
    `int` | `hashCode()`
    `static OpenAPIHolder` | `newInstance(OpenAPIHolder arg)`
    `JsonObject` | `solveIfNeeded(JsonObject obj)` if `obj` contains `$ref`, it tries to solve it and return the resolved object, otherwise it returns `obj`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OpenAPIHolder> __TYPE_ARG

  - ### Constructor Detail

    - #### OpenAPIHolder

          public OpenAPIHolder(OpenAPIHolder delegate)

    - #### OpenAPIHolder

          public OpenAPIHolder(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OpenAPIHolder getDelegate()

    - #### getCached

          public JsonObject getCached(JsonPointer pointer)

      Get cached object using `pointer`
      Parameters:
        `pointer` -
      Returns:

    - #### solveIfNeeded

          public JsonObject solveIfNeeded(JsonObject obj)

      if `obj` contains `$ref`, it tries to solve it and return the resolved object, otherwise it returns `obj`
      Parameters:
        `obj` -
      Returns:

    - #### getOpenAPI

          public JsonObject getOpenAPI()

      Returns:
        the root of the OpenAPI document

    - #### newInstance

          public static OpenAPIHolder newInstance(OpenAPIHolder arg)

Copyright © 2022 Eclipse. All rights reserved.